{% extends "siswa/userbase.html.twig" %}

{% block tittleNav %}
    {{ transaction.getTentorSubject().getUser().getTentorProfile().getFullName() }}
{% endblock %}

{% block body %}

    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            {{ transaction.getTentorSubject().getUser().getTentorProfile().getFullName() }}
        {% endblock %}
        {% block menuBar %}
            <a class=""> <i class="mdi mdi-more-vert"></i></a>
        {% endblock %}
    {% endembed %}

    <section class="container-fluid mt-3 mb-4">


        <div class="header-profile mb-3">
            <div class="gambar-div">
                <img src="{{ transaction.getTentorSubject().getUser().getTentorProfile().getGeneratedAvatar() != null ? transaction.getTentorSubject().getUser().getTentorProfile().getGeneratedAvatar() : asset('images/no-image.png') }}">
            </div>
            <div class="content">
                <p class="title f10">{{ transaction.getTentorSubject().getUser().getTentorProfile().getFullName() }}</p>
                {% set rating = transaction.getTentorSubject().getUser().getAvgRatings()|round(0, 'floor') %}
                {% set restRating = 5 - transaction.getTentorSubject().getUser().getAvgRatings()|round(0, 'floor') %}
                {% set tempRate = transaction.getTentorSubject().getUser().getAvgRatings() - rating %}
                <div class="star-div" style="color: orange">
                    {% if transaction.getTentorSubject().getUser().getAvgRatings() > 0 and transaction.getTentorSubject().getUser().getAvgRatings() != null %}
                        {% if transaction.getTentorSubject().getUser().getAvgRatings() >= 1 %}
                            {% for i in 1..rating %}
                                <i class="fa fa-star"></i>
                            {% endfor %}
                        {% endif %}
                        {% if tempRate < 1 and tempRate > 0 %}
                            <i class="fa fa-star-half-o"></i>
                            {% if (5 - (rating+1)) > 0 %}
                                {% for i in 1..(5 - (rating+1)) %}
                                    <i class="fa fa-star-o"></i>
                                {% endfor %}
                            {% endif %}
                        {% else %}
                            {% if(5 - (rating)) > 0 %}
                                {% for i in 1..(5 - (rating)) %}
                                    <i class="fa fa-star-o"></i>
                                {% endfor %}
                            {% endif %}
                        {% endif %}
                    {% else %}
                        {% for i in 1..5 %}
                            <i class="fa fa-star-o"></i>
                        {% endfor %}
                    {% endif %}
                </div>
                <div class="d-flex">
                    <a class="chip-primary mr-1" style="width: fit-content;"><i
                                class="mdi mdi-phone mr-2"></i>Telepon</a>
                    <a class="chip-primary" style="width: fit-content;"><i class="mdi mdi-chat mr-2"></i>Chat</a>
                </div>
            </div>
        </div>

    </section>

    <nav style="border-bottom: 1px solid var(--grey-d); line-height: 0; top: 60px" class="sticky-top bg-white">
        <div class="nav bg-white w-100 d-flex" id="nav-tab" role="tablist">
            <a class="nav-item nav-link active text-center flex-grow-1 d-block tab-s" id="nav-home-tab"
               data-toggle="tab" href="#presensiBelajar" role="tab" aria-controls="presensiBelajar"
               aria-selected="true">Presensi</a>
            <a class="nav-item nav-link  tab-s d-block" id="nav-profile-tab" data-toggle="tab"
               href="#detailBerlangganan" role="tab" aria-controls="detailBerlangganan" aria-selected="false">Detail</a>
{#            <a class="nav-item nav-link  tab-s d-block" id="nav-profile-tab" data-toggle="tab"#}
{#               href="#riwayat" role="tab" aria-controls="detailBerlangganan" aria-selected="false">Riwayat#}
{#                </a>#}
        </div>
    </nav>
    <div class="tab-content" id="nav-tabContent">
        <div class="tab-pane fade show active" id="presensiBelajar" role="tabpanel"
             aria-labelledby="presensiBelajar-tab">
            <section class="container-fluid">
                <p class="font-weight-bold mt-3">Pilih Rentang Waktu</p>

                <div class="mt-1 text-left w-100 d-flex justify-content-around"
                     style="line-height: 0">
                    <div>
                        <input type="radio" name="byTanggal" id="bulanIni" checked/>
                        <label for="bulanIni">Bulan Ini
                        </label>
                    </div>
                    <div>
                        <input type="radio" name="byTanggal" id="pilihTanggal"/>
                        <label for="pilihTanggal">
                            Pilih Tanggal Sendiri
                        </label>
                    </div>
                </div>

                <hr class="mb-4">
                <div id="panel-attendance">
                </div>
            </section>

        </div>
        <div class="tab-pane fade" id="detailBerlangganan" role="tabpanel" aria-labelledby="detailBerlangganan-tab">
            <section class="container-fluid">
                <p class="f12 font-weight-bold text-left mt-3">Detail Berlangganan</p>
                <div class="row container-fluid">
                    <div class="col-6">
                        <p class="text-black-50 f08 mb-0 mt-3">status</p>
{#                        {% if (transaction.getLastCart().getStatus() == 0) %}#}
{#                            <p class="text-dark f10">Menunggu Konfirmasi Pengajar</p>#}
{#                        {% elseif (transaction.getLastCart().getStatus() == 1) %}#}
{#                            <p class="text-dark f10">Menunggu Pembayaran</p>#}
{#                        {% elseif (transaction.getLastCart().getStatus() == 1 and transaction.getLastCart().getStatus() == true) %}#}
{#                            <p class="text-dark f10">Pesanan Expired</p>#}
{#                        {% elseif (transaction.getLastCart().getStatus() == 2) %}#}
{#                            <p class="text-dark f10">Aktif</p>#}
{#                        {% elseif (transaction.getLastCart().getStatus() == 6) %}#}
{#                            <p class="text-dark f10">Pesanan Di Batalkan</p>#}
{#                        {% elseif (transaction.getLastCart().getStatus() == 7) %}#}
{#                            <p class="text-dark f10">Pembayaran Menunggu Konfirmasi</p>#}
{#                        {% elseif (transaction.getLastCart().getStatus() == 6 and transaction.getStatus() == 9) %}#}
{#                            <p class="text-dark f10">Perpanjangan Di Batalkan</p>#}
{#                        {% else %}#}
{#                            <p class="text-dark f10"></p>#}
{#                        {% endif %}#}
                        {% if(transaction.getStatus() == 0)%}
                        <p class="text-dark f10">Menunggu</p>
                        {% elseif (transaction.getStatus() == 1) %}
                            <p class="text-dark f10">Aktif</p>
                        {% elseif (transaction.getStatus() == 9) %}
                            <p class="text-dark f10">Selesai</p>
                        {% elseif (transaction.getStatus() == 6) %}
                            <p class="text-dark f10">Batal</p>
                        {% else %}
                            <p class="text-dark f10"></p>
                        {% endif %}

                    </div>
                    <div class="col-6">
                        <p class="text-black-50 f08 mb-0 mt-3">Sisa Pertemuan</p>
                        <p class="text-dark f10">{{ transaction.getRest() }}</p>
                    </div>
                    <div class="col-6">
                        <p class="text-black-50 f08 mb-0 mt-3">Mata Pelajaran</p>
                        <p class="text-dark f10">{{ transaction.getTentorSubject().getCategory().getName() }}
                            - {{ transaction.getTentorSubject().getLevel().getName() }}</p>
                    </div>
                    <div class="col-6">
                        <p class="text-black-50 f08 mb-0 mt-3">Metode</p>
                        <p class="text-dark f10">{{ transaction.getLastCart().getMethod().getName() }}</p>
                    </div>
                    <div class="col-6">
                        <p class="text-black-50 f08 mb-0">Jumlah Pertemuan</p>
                        <p class="text-dark f10">{{ transaction.getLastCart().getEncounter() }} Pertemuan</p>
                    </div>
                    <div>
                        <p class="text-black-50 f08 mb-0">Durasi Pertemuan</p>
                        <p class="text-dark f10">{{ transaction.getLastCart().getDuration() }} Menit</p>
                    </div>
                </div>
                <hr>
                <p class="f12 font-weight-bold text-left mt-3">Kontak dan Tempat Les</p>
                <div class="p-3 mb-5" style="border-radius: 15px; box-shadow: 0 1px 4px var(--shadowColor1)">
                    <p class="f10 font-weight-bold mb-1">{{ transaction.getUser().getMemberProfile().getFullName() }}</p>
                    <p class="f10 mb-1">{{ transaction.getUser().getMemberProfile().getSchool() }}
                        - {{ transaction.getUser().getMemberProfile().getClass().getName() }}</p>
                    <p class="f10 text-black-50 mb-0">{{ transaction.getLastCart().getMethod().getId() == 1 ? transaction.getLastCart().getAddress()~', '~transaction.getLastCart().getDistrict().getDistrictName()~','~transaction.getLastCart().getDistrict().getCity().getCityName()~' - ' : '' }}
                        {{ transaction.getUser().getMemberProfile().getPhone() }} </p>
                </div>

                {% if (transaction.getStatus() == 0 and transaction.getLastCart().getStatus() == 0) %}
{#                    Kondisi Pemesanan Baru#}
                    <div class="fixed-bottom p-2 bg-white">
                        <div class="d-flex justify-content-between align-items-center flex-column">
                            <a id="btn-cancel" class="bt-primary m-1 f10 d-block w-100">
                                Batalkan Pesanan
                            </a>
                        </div>
                    </div>
                {% elseif  (transaction.getStatus() == 0 and transaction.getLastCart().getStatus() == 1 and transaction.getLastCart().getIsExpired() == false) %}
{#                    Kondisi Jika Pembelajaran Belum Aktif, Guru Sudah Mengkonfirmasi  dan Pembayaran Belum Masuk Ke Masa Expired#}
                    <div class="fixed-bottom p-2 bg-white">
                        <div class="d-flex justify-content-between align-items-center flex-column">
                            <a href="/member/invoice/" id="btn-pay" class="bt-primary m-1 f10 d-block w-100">
                                Bayar
                            </a>
                        </div>
                    </div>
                {% elseif (transaction.getStatus() == 0 and transaction.getLastCart().getStatus() == 1 and transaction.getLastCart().getIsExpired() == true) %}
{#                    Jika Pembelajaran Belum Aktif Guru Sudah Konfirmasi Tapi Pembayaran Masuk Ke Waktu Expired#}
                    <div class="fixed-bottom p-2 bg-white">
                        <div class="d-flex justify-content-between align-items-center flex-column">
                            <a href="/guru/{{ transaction.getLastCart().getMethod().getSlug() }}/{{ transaction.getTentorSubject().getSlug() }}" id="btn-pay" class="bt-accent m-1 f10 d-block w-100">
                                Pesan Guru Ini Lagi
                            </a>
                        </div>
                    </div>

                {% elseif  (transaction.getStatus() == 1 and transaction.getLastCart().getStatus() == 1 and transaction.getLastCart().getIsExpired() == false) %}
{#                    Pembelajaran Aktif, ada perpanjangan dan belum masuk masa expired#}
                    <div class="fixed-bottom p-2 bg-white">
                        <div class="d-flex justify-content-between align-items-center flex-column">
                            <a href="/member/invoice/" id="btn-pay" class="bt-primary m-1 f10 d-block w-100">
                                Bayar
                            </a>
                        </div>
                        <div class="d-flex justify-content-between align-items-center flex-column">
                            <a id="btn-cancel-extend" class="bt-outline-primary m-1 f10 d-block w-100">
                                Batalkan Perpanjangan
                            </a>
                        </div>
                    </div>
                {% elseif  (transaction.getLastCart().getStatus() == 2 or (transaction.getLastCart().getStatus() == 1 and transaction.getLastCart().getIsExpired == true and transaction.getStatus() == 1)) %}
{#                    Kondisi Jika Status Pembelajaran Aktif (Tidak Ada Perpanjangan atau Ada Perpanjangan Tapi Expired) #}
                    <div class="fixed-bottom p-2 bg-white">
                        <div class="d-flex justify-content-between align-items-center flex-column">
                            <a id="btn-upgrade" class="bt-primary m-1 f10 d-block w-100" >
                                Upgrade Paket Berlangganan
                            </a>

                            <a id="btn-extend" class="bt-outline-primary m-1 f10 d-block w-100">
                                Perpanjang Sekarang
                            </a>
                        </div>
                    </div>
                {% elseif  (transaction.getLastCart().getStatus() == 7) %}
{#                    Kondisi Sudah Di Bayar Tapi Menunggu Konfirmasi dari admin atau member#}
                    <div class="fixed-bottom p-2 bg-white">
                        <div class="d-flex justify-content-between align-items-center flex-column">
                            <a id="btn-confirm-payment" href="/member/payment/confirm/{{ pId }}" class="bt-primary m-1 f10 d-block w-100">
                                Konfirmasi
                            </a>
                        </div>
                    </div>
                {% elseif  (transaction.getStatus() == 6 or transaction.getStatus() == 9) %}
{#                    Kondisi Pesanan Di Batalkan Atau Pesanan Sudah Selesai#}
                    <div class="fixed-bottom p-2 bg-white">
                        <div class="d-flex justify-content-between align-items-center flex-column">
                            <a href="/guru/{{ transaction.getLastCart().getMethod().getSlug() }}/{{ transaction.getTentorSubject().getSlug() }}" id="btn-pay" class="bt-accent m-1 f10 d-block w-100">
                                Pesan Guru Ini Lagi
                            </a>
                        </div>
                    </div>
                {% elseif  (transaction.getLastCart().getStatus() == 6 and transaction.getStatus() == 1) %}
{#                    Kondisi Jika Perpanjangan Di batalkan#}
                    <div class="fixed-bottom p-2 bg-white">
                        <div class="d-flex justify-content-between align-items-center flex-column">
                            <a id="btn-upgrade" class="bt-primary m-1 f10 d-block w-100" >
                                Upgrade Paket Berlangganan
                            </a>

                            <a id="btn-extend" class="bt-outline-primary m-1 f10 d-block w-100">
                                Perpanjang Sekarang
                            </a>
                        </div>
                    </div>
                {% endif %}
            </section>

        </div>
        <div class="tab-pane fade" id="riwayat" role="tabpanel">
            {% for c in transaction.getCart() %}
                <div class="gen-card">
                    <p>{{ c.getReferenceId() }}</p>
                    <p>{{ c.status() }}</p>
                </div>
            {% endfor %}
        </div>
    </div>




    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}

    <script type="text/javascript" src="{{ asset('vendor/slick/slick.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script>
        var t_id = '{{ transaction.getId() }}';
        var l_id = '{{ transaction.getLastCart().getId() }}';
        $(document).ready(function () {
            $('.paket').slick({
                arrows: false,
                centerMode: true,
                centerPadding: '20%',
                infinite: false,
                slidesToShow: 2,
                slidesToScroll: 3,
                variableWidth: true,
                responsive: [
                    {
                        breakpoint: 768,
                        settings: {
                            arrows: false,
                            centerMode: true,
                            infinite: false,
                            centerPadding: '15%',
                            slidesToShow: 2,
                            slidesToScroll: 3,
                            variableWidth: true
                        }
                    },
                    {
                        breakpoint: 480,
                        settings: {
                            arrows: false,
                            centerMode: true,
                            mobileFirst: true,
                            infinite: false,
                            centerPadding: '10%',
                            slidesToShow: 2,
                            slidesToScroll: 3,
                            variableWidth: true
                        }
                    }
                ]
            });
        });
    </script>
    <script>
        async function setPresence(id) {
            let param = {id};
            genLoading('Tunggu Sebentar, Sedang Melakukan Absen')
            let response = await $.post('/member/attendance/presence', param);
            if (response['code'] === 200) {
                genAlert('Yeay Kamu Berhasil Absen')
                closeLoading();
                await getMyAttendance();
            } else {
                genAlert('Aduh Absensi Kamu Gagal, Coba Deh Hubungi Admin!')
                closeLoading();
            }
        }

        async function getMyAttendance() {
            let el = $('#panel-attendance');
            el.onDataLoading('Sedang Memuat Presensi Kamu');
            let response = await $.get('/member/attendance/data/' + t_id);
            console.log(response)
            el.empty();
            if (response['code'] === 200) {
                let payload = response['payload'];
                if (payload.length > 0) {
                    $.each(payload, function (k, v) {
                        const {startAt, isPresence, id, isActive} = v;
                        let strToDate = new Date(startAt);
                        let dayString = strToDate.toLocaleDateString('id-ID', {weekday: 'long'});
                        let btnPresence = '';
                        let status = '';
                        if (isPresence === '0' && isActive === '0') {
                            status = 'Pelajaran Sedang Berlangsung';
                        } else if (isPresence === '0' && isActive === '1') {
                            status = 'Pelajaran Sudah Berakhir. Harap Melakukan Presensi';
                            btnPresence = '<a data-presence="' + id + '" class="bt-primary f10 btn-presence" style="padding: 0.2em 0.8em">Konfirmasi Presensi</a>'
                        } else if (isPresence === '1' && isActive === '1') {
                            status = 'Pelajaran Sudah Berakhir. Sudah Melakukan Presensi';
                        }
                        let content = '<div class="gen-card">\n' +
                            '                        <div class="p-1em">\n' +
                            '                            <div class="d-flex justify-content-between">\n' +
                            '                                <p class="font-weight-bold mb-0">' + dayString + '</p>\n' +
                            '                                <a class="t-primary font-weight-bold mb-0" href="">Detail</a>\n' +
                            '                            </div>\n' +
                            '                            <p class="f08 mb-0">' + startAt + '</p>\n' +
                            '                            <p class="f08 mb-0">' + status + '</p>\n' +
                            '                        </div>\n' +
                            '                        <div class="p-1em brd-top text-right">\n' + btnPresence +
                            '                        </div>\n' +
                            '                    </div>';
                        el.append(content);
                    })
                    $('.btn-presence').on('click', function () {
                        let id = this.dataset.presence;
                        setPresence(id);
                    })
                } else {
                    el.onEmptyData('Kamu Belum Memiliki Presensi');
                }
            }
        }

        async function extendTransaction() {
            let param = {id: l_id};
            genLoading();
            let response = await $.post('/member/transaction/extend', param);
            if (response['code'] === 200) {
                window.location.href = '/member/invoice';
                genAlert('Success', 'Berhasil Memperpanjang Pesanan');
            } else {
                genAlert('Failed', 'Gagal Memperpanjang Pesanan');
            }
            closeLoading();

        }

        async function cancelExtendTransaction() {
            let param = {id: l_id};
            genLoading();
            let response = await $.post('/member/transaction/cancel-extend', param);
            if (response['code'] === 200) {
                genAlert('Success', 'Berhasil Membatalkan Perpanjangan');
            } else {
                genAlert('Failed', 'Gagal Membatalkan Perpanjangan');
            }
            closeLoading();
            window.location.reload();
        }

        async function cancel() {
            genLoading('Tunggu Sebentar Sedang Memproses Pembatalan Pesanan!');
            let response = await $.post('/member/transaction/cancel', {id: l_id});
            if (response['code'] === 200) {
                genAlert('Cancel', 'Berhasil Membatalkan Pesanan!');
            } else {
                genAlert('Cancel', 'Gagal Membatalkan Pesanan!');
            }
            window.location.reload();
        }

        $(document).ready(function () {
            getMyAttendance();
            $('#btn-cancel').on('click', function () {
                cancel();
            });

            $('#btn-confirm-payment').on('click', function () {
                genAlert('Information!', 'Silahkan Konfirmasi Pembayaran Mu, Agar Paket Mu Segera Aktif!')
            });

            $('#btn-upgrade').on('click', function () {
                genAlert('Information!', 'Sabar Ya, Fitur Ini Sedang Dalam Perbaikan!')
            });

            $('#btn-extend').on('click', function () {
                extendTransaction();
            });

            $('#btn-cancel-extend').on('click', function () {
                cancelExtendTransaction();
            });
        });
    </script>

{% endblock %}